Subject: bug#64226: 30.0.50; emacs-lisp-native-compile-and-load permission error

From: Andrea Corallo <[email-masked]>
Date: Sun, 25 Jun 2023 11:02:41 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: No Wayman <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Thu, 22 Jun 2023 13:21:49 -0400
>> 
>> 
>> Eli Zaretskii <[email-masked]> writes:
>>  
>> > What is the value of native-comp-eln-load-path?
>> 
>> ("/home/n/.emacs.d/eln-cache/" 
>> "/usr/lib/emacs/30.0.50/native-lisp/")
>> 
>>  
>> > Also, can you show the contents of the file being compiled, 
>> > which
>> > seems to be /home/n/.emacs.d/elpaca/repos/elpaca/elpaca.el ?
>> 
>> I can reproduce with any elisp file.
>> e.g. $HOME/test.el containing:
>> 
>> --8<---------------cut here---------------start------------->8---
>> ;; -*- lexical-binding: t; -*-
>> (defun +test () (message "PASS"))
>> --8<---------------cut here---------------end--------------->8---
>
> Then I'm stumped, and hope Andrea will be able to figure this out.  I
> cannot reproduce the problem on my system, FWIW.

That's very bizzare to me as well, I can't reproduce this either.  Is
anyone able to reproduce this?

Thanks

  Andrea